# Class SwipeController

The controller for the Mapswipe component.

#### Hierarchy

- SwipeController

- Defined in src/map/swipe.js:74

#####
Index

### Properties

layer
map
swipeValue

### Methods

$onDestroy
$onInit
deactivate

## Properties

### layer

layer: any

- Defined in src/map/swipe.js:93
- Defined in src/map/swipe.js:170

### map

map: Map

- Defined in src/map/swipe.js:88

### swipeValue

swipeValue: number

- Defined in src/map/swipe.js:104
- Defined in src/map/swipe.js:131
- Defined in src/map/swipe.js:152

## Methods

### $onDestroy

- $onDestroy(): void

- #### Returns void

  - Defined in src/map/swipe.js:242

### $onInit

- $onInit(): void

- Init the controller

  #### Returns void

  - Defined in src/map/swipe.js:128

### deactivate

- deactivate(): void

- Allows you to deactivate the swiper on click of the close button.

  #### Returns void

  - Defined in src/map/swipe.js:169

Generated using TypeDoc